标签 群晖 下的文章

群晖安装emby旧版本套件

由于emby最近升级了4.1.1.0,电影sample文件也识别出来了,电视识别也不好,极度后悔升级,想回到4.0.3.0版本,起初想装docker,可是偏偏没有4.0.3.0版本的docker,我也是醉了。

首先利用群晖的日志获取emby的XPEnology版本的套件下载地址:
先正常添加emby的XPEnology套件源,点开始安装,不等下载完成就点取消,然后cat /var/log/messages,会发现类似:

2019-05-08T10:56:11+08:00 ds3617xs synoscgi_SYNO.Core.Package.Installation_1_install[18131]: pkgserver.cpp:261 Failed to read data.
2019-05-08T10:56:11+08:00 ds3617xs synoscgi_SYNO.Core.Package.Installation_1_install[18131]: pkgserver.cpp:651 Failed to curl perform, code=42, err=Error, url=https://synology.emby.media/packages/xpenology/stable/4.1.1.0-1/EmbyServer_4.1.1.0-1_xpenology.spk
2019-05-08T10:56:14+08:00 ds3617xs synostoraged: cache_monitor.c:1622 Can't support DS with cpu number (1)

的日志,里面的链接就是下载地址,然后改一下版本号,手动下载安装即可。